Package htsjdk.samtools.util.ftp

# Class FTPUtils

java.lang.Object
htsjdk.samtools.util.ftp.FTPUtils

public class FTPUtils extends Object

## Constructor Summary

Constructors
Constructor
Description
`FTPUtils()`

## Method Summary

Modifier and Type
Method
Description
`static FTPClient`
`connect(String host, String userInfo, UserPasswordInput userPasswordInput)`
Connect to an FTP server
`static long`
`getContentLength(URL url)`
`static boolean`
`resourceAvailable(URL url)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FTPUtils

public FTPUtils()

## Method Details

### resourceAvailable

public static boolean resourceAvailable(URL url)

### getContentLength

public static long getContentLength(URL url) throws IOException

Throws:
  `IOException`

### connect

public static FTPClient connect(String host, String userInfo, UserPasswordInput userPasswordInput) throws IOException
Connect to an FTP server

Parameters:
  `host` -
  `userInfo` -
  `userPasswordInput` - Dialog with which a user can enter credentials, if login fails
Returns:
Throws:
  `IOException`